#ifndef TARTANALOOPEXAMPLE_HH
#define TARTANALOOPEXAMPLE_HH

#include "TArtAnaLoop.hh"

#include "TArtSAMURAIParameters.hh"
#include "TArtCalibNEBULA.hh"
#include "TArtNEBULAPla.hh"
#include "TArtNEBULAPlaPara.hh"

class TArtAnaLoopExample : public TArtAnaLoop
{
public:
  TArtAnaLoopExample();
  ~TArtAnaLoopExample();

protected:
  void Construct();
  void Calculate();
  void Destruct();

  void AddNEBULA();

  TArtSAMURAIParameters *samuraiparameters;

  TArtCalibNEBULA *calibnebula;

public:
  const char* ClassName() const;

  ClassDef(TArtAnaLoopExample,1);
};

#endif
